org.apache.ode.bpel.elang.xpath20.compiler

## Class JaxpFunctionResolver

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath20.compiler.JaxpFunctionResolver

- All Implemented Interfaces:
    javax.xml.xpath.XPathFunctionResolver

      public class JaxpFunctionResolver
      extends java.lang.Object
      implements javax.xml.xpath.XPathFunctionResolver

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaxpFunctionResolver.CombineUrl`
    `static class` | `JaxpFunctionResolver.ComposeUrl`
    `static class` | `JaxpFunctionResolver.DayTimeDuration`
    `static class` | `JaxpFunctionResolver.Delete`
    `static class` | `JaxpFunctionResolver.DomToString`
    `class` | `JaxpFunctionResolver.DoXslTransform`
    `class` | `JaxpFunctionResolver.GetVariableProperty`
    `static class` | `JaxpFunctionResolver.InsertAfter`
    `static class` | `JaxpFunctionResolver.InsertAsFirstInto`
    `static class` | `JaxpFunctionResolver.InsertAsLastInto`
    `static class` | `JaxpFunctionResolver.InsertBefore`
    `static class` | `JaxpFunctionResolver.InsertInto`
    `static class` | `JaxpFunctionResolver.ProcessProperty`
    `static class` | `JaxpFunctionResolver.Rename`
    `static class` | `JaxpFunctionResolver.SplitToElements` Compile time checking for the non standard ode:splitToElements function.
    `static class` | `JaxpFunctionResolver.YearMonthDuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxpFunctionResolver(CompilerContext cctx, OXPath20ExpressionBPEL20 out, NSContext nsContext, java.lang.String bpelNS)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.xpath.XPathFunction` | `resolveFunction(javax.xml.namespace.QName functionName, int arity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxpFunctionResolver

          public JaxpFunctionResolver(CompilerContext cctx,
                                      OXPath20ExpressionBPEL20 out,
                                      NSContext nsContext,
                                      java.lang.String bpelNS)

  - ### Method Detail

    - #### resolveFunction

          public javax.xml.xpath.XPathFunction resolveFunction(javax.xml.namespace.QName functionName,
                                                               int arity)

      Specified by:
        `resolveFunction` in interface `javax.xml.xpath.XPathFunctionResolver`